ng-container(*ngIf="repository$ | async as repository")
  a#ryax-return(routerLink="/library", nz-button, [nzGhost]="true", nzType="default")
    i(nz-icon, nzType="arrow-left", nzTheme="outline")
    | Library

  h1 {{ repository.name }}
  h2 {{ repository.url }}

  nz-spin([nzSpinning]="repositoryLoading$ | async")
    #ryax-repository-content
      nz-tabset(*ngIf="repository.lastScan else noScan", [nzSelectedIndex]="currentTab", (nzSelectedIndexChange)="currentTab = $event", [nzTabBarExtraContent]="extraTemplate")
        nz-tab(nzTitle="Scanned")
          nz-card([nzBodyStyle]="{ padding: '16px 8px 24px 24px' }")
            h3 Scan for commit {{ repository.lastScan.commitSha }}

            ul.ryax-action-list
              li(*ngFor="let action of repository.lastScan.notBuiltActions; trackBy:tracker", (click)="openActionDetails(action)")
                ryax-scanned-action-card([action]="action", [active]="action.id === (repositoryFocusedAction$ | async)?.id")


        nz-tab(nzTitle="Built")
          nz-card([nzBodyStyle]="{ padding: '16px 8px 24px 24px' }")
            h3 Scan for commit {{ repository.lastScan.commitSha }}

            ul.ryax-action-list
              li(*ngFor="let action of repository.lastScan.builtActions; trackBy:tracker", (click)="openActionDetails(action)")
                ryax-scanned-action-card([action]="action", [active]="action.id === (repositoryFocusedAction$ | async)?.id", [built]="true")

        nz-tab(nzTitle="Building")
          nz-card([nzBodyStyle]="{ padding: '16px 8px 24px 24px' }")
            h3 Building {{ (repositoryPendingActions$ | async)?.length || 0 }} actions

            ul.ryax-action-list
              li(*ngFor="let action of repositoryPendingActions$ | async; trackBy:tracker", (click)="openActionDetails(action)")
                ryax-scanned-action-card([action]="action", [active]="action.id === (repositoryFocusedAction$ | async)?.id")

      ng-template(#extraTemplate)
        div.ryax-scan-buttons
          span Last scan: {{ repository.lastScan?.scanDate | dateTimeToJsDate | timeAgo }}
          button(nz-button, nzType="primary", nzGhost, (click)="displayModal = true") New scan
          button(nz-button, nzType="primary", nzGhost, nz-dropdown, [nzDropdownMenu]="extraActions")
            i(nz-icon, nzType="more", nzTheme="outline")
          nz-dropdown-menu(#extraActions="nzDropdownMenu")
            ul(nz-menu)
              li(nz-menu-item, (click)="buildAll()") Build all
              li(nz-menu-item, nzDanger, (click)="delete()") Delete repository
              li(nz-menu-item, nzDanger, (click)="cancelAll()") Cancel all builds

      ryax-scanned-action-details

nz-modal([(nzVisible)]="displayModal", nzTitle="New scan", (nzOnCancel)="cancelScan()", (nzOnOk)="newScan()")
  ng-container(*nzModalContent)
    label Git reference
      input(nz-input, placeholder="default: master", [(ngModel)]="branchName")

ng-template(#noScan)
  #ryax-no-scan
    button(nz-button, nzDanger, nzSize="small", (click)="delete()") Delete
    #ryax-no-scan-content
      p This repository has not been scanned yet
      button(nz-button, nzType="primary", (click)="displayModal = true") Scan now!
